
From: Stuart Auchterlonie <stuarta@squashedfrog.net>

Fix bug in Nebula DigiTV frontend detection for nxt6000.

Signed-off-by: Stuart Auchterlonie <stuarta@squashedfrog.net>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/bt8xx/dvb-bt8xx.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/media/dvb/bt8xx/dvb-bt8xx.c~dvb-nebula-digitv-nxt6000-fix drivers/media/dvb/bt8xx/dvb-bt8xx.c
--- devel/drivers/media/dvb/bt8xx/dvb-bt8xx.c~dvb-nebula-digitv-nxt6000-fix	2005-09-04 16:51:55.000000000 -0700
+++ devel-akpm/drivers/media/dvb/bt8xx/dvb-bt8xx.c	2005-09-04 16:51:55.000000000 -0700
@@ -574,8 +574,10 @@ static void frontend_init(struct dvb_bt8
 
 		/* Old Nebula (marked (c)2003 on high profile pci card) has nxt6000 demod */
 		card->fe = nxt6000_attach(&vp3021_alps_tded4_config, card->i2c_adapter);
-		if (card->fe != NULL)
+		if (card->fe != NULL) {
 			dprintk ("dvb_bt8xx: an nxt6000 was detected on your digitv card\n");
+			break;
+		}
 
 		/* New Nebula (marked (c)2005 on low profile pci card) has mt352 demod */
 		digitv_alps_tded4_reset(card);
_
